wreport::term::Terminal Struct Reference

## Data Structures

struct | Restore

## Public Member Functions

| Terminal (FILE *out)
Restore | set_color (int fg, int bg)
Restore | set_color_fg (int col)
Restore | set_color_bg (int col)
std::string | color (int fg, int bg, const std::string &s)
std::string | color_fg (int col, const std::string &s)
std::string | color_bg (int col, const std::string &s)
| operator FILE * ()

## Data Fields

FILE * | out
bool | isatty

## Static Public Attributes

static const unsigned | black
static const unsigned | red
static const unsigned | green
static const unsigned | yellow
static const unsigned | blue
static const unsigned | magenta
static const unsigned | cyan
static const unsigned | white
static const unsigned | bright

The documentation for this struct was generated from the following file:

- term.h